@import url('https://fonts.googleapis.com/css2?family=Quicksand:wght@300..700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Saira+Condensed:wght@100;200;300;400;500;600;700;800;900&display=swap');

/* GÉNÉRAL */

:root {
    --blue: #147e88;
    --light-azur: #3da0a5;
    --brown: #473d29;
    --light-brown: #6f4b2a;
    --light-blue: #8ec7c1;
    --beige: #faf3d3;
    --white: #fff;
    --radius: 0.5rem;
    --radius-card: 1rem;
}

* {
    box-sizing: border-box;
}

html {
    font: 400 100%/150% "Quicksand", sans-serif;
}

body {
    max-height: 100vh;
    margin: 0;
    padding: 0;
    background-color: var(--beige);
}

h1 {
    font-family: "Saira Condensed", sans-serif;
    font-weight: 400;
}

.cache-ecran {
    display: none;
}

img {
    max-width: 95%;
    height: auto;
}

/* ACCUEIL */

/* ACCUEIL-HEADER */

#welcome-header {
    display: flex;
    align-items: center;
    background-color: var(--blue);
}

#welcome-header a {
    margin: auto;
}

/* ACCUEIL-CONTENU */

#menu-container {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 48vh;
}

#menu-container div {
    margin: auto;
    text-align: center;
    font-weight: 600;
}

#menu-container .slogan {
     color: var(--brown);
}

#menu-container .slogan:last-of-type {
    margin-bottom: 2rem;
}

#menu-container ul {
    list-style: none;
}

#menu-container ul li {
    background-color: var(--blue);
    display: block;
    margin: auto;
    max-width: 8rem;
    padding: 0.75rem;
    border-radius: var(--radius);
    transition: background-position 0.3s,
                transform 0.3s;
}

#menu-container ul li:hover, #menu-container ul li:focus {
    background-size: 200% 100%;
    background-image: linear-gradient(to right, var(--blue) 50%, var(--light-azur) 50%);
    background-position: 100% 0;
    transform: scale(1.2);
}

#menu-container ul li:first-of-type {
    margin-bottom: 2rem;
}

#menu-container ul a {
    text-decoration: none;
}

#menu-container ul li a:visited {
    color: var(--white);
}

@media screen and (min-width: 768px) {
    #menu-container ul {
        display: flex;
        justify-content: center;
        align-items: center;
        padding: 0;
    }
    #menu-container ul li {
        padding: 0.75rem 2rem;
        margin: 0 1rem;
        min-width: 8rem;
    }
    #menu-container ul li:first-of-type {
        margin-bottom: 0;
    }
}

/* FOOTER */

footer {
    min-height: 23vh;
    width: 100%;
    background-color: var(--light-azur);
}

footer .footer-container {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

footer .footer-container p {
    margin-top: 1.5rem;
}

.right-footer {
    margin: auto;
}

#medias-nav ul {
    list-style: none;
    display: flex;
}

#medias-nav ul li {
    margin: 0 0.5rem;
}

#medias-nav ul li a img {
    transition: scale 0.5s ease-in-out;
}

#medias-nav ul li a img:hover {
    transform: scale(1.5);
}

@media screen and (min-width: 768px) {
    footer .footer-container {
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: row;
    }
    footer .footer-container p {
        margin: auto;
    }
    .right-footer {
        margin: 2rem auto;
    }
}

/* INDEX-FR */

/* INDEX-FR-HEADER */

#header {
    background-color: var(--blue);
}

#header a {
    display: flex;
}

#header a img {
    margin: auto;
}

@media screen and (min-width: 768px) {
    #header a {
        display: block;
    }
    #header #navbar {
        display: flex;
        justify-content: right;
    }
    #header #navbar #navlist {
        display: flex;
        gap: 2rem;
    }
    #header #navbar #navlist li a {
        border-bottom-color: transparent;
    }
}

#header #navbar #navlist {
    margin: 0;
    padding: 0;
    list-style: none;
}

#header #navbar #navlist li a {
    text-decoration: none;
    font-weight: 600;
    text-transform: uppercase;
    color: var(--white);
    padding: .5rem 1rem;
    display: block;
    /* border-bottom: .063rem solid var(--white); */
    transition: background-position 0.5s;
}

#header #navbar #navlist li a:hover, #header #navbar #navlist li a:focus {
    background-size: 200% 100%;
    background-image: linear-gradient(to right, var(--blue) 50%, var(--light-azur) 50%);
    background-position: 100% 0;
}

#header #navbar #navlist li a:visited {
    color: var(--white);
}

#navbar > #navlist > ul > li:last-of-type > a {
    border-bottom: none;
}

/* INDEX-FR-CONTENU */

main {
    margin: 2.5rem;
    padding: 0.5rem 1rem;
}

main .swiper-slide {
    margin-bottom: 2.5rem;
    padding: 0.5rem 1rem;
}

.content-wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    padding: 1rem;
    background-color: var(--light-blue);
    border-radius: var(--radius-card);
}

@media screen and (min-width: 1080px) {
    .content-wrapper {
        flex-direction: row;
    }
    .text-container {
        max-width: 500px;
    }
}

.head-wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.image-container {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.image-container img {
   border-radius: var(--radius);
}

.text-container {
    background-color: var(--white);
    padding: 1rem;
    border-radius: var(--radius-card);
}



@media screen and (min-width: 768px) {
    .expandable-box {
        padding: 0.63rem 0.4rem;
        cursor: pointer;
        overflow: hidden;
        display: inline-block;
        white-space: nowrap;
        transition: width 0.5s ease;
        width: 10%;
    }

    .expandable-box:hover,
    .expandable-box:focus {
        width: 45%;
    }

    .hidden-text {
        opacity: 0;
        margin-left: 0.31rem;
        transition: opacity 0.5s ease;
    }

    .expandable-box:hover .hidden-text,
    .expandable-box:focus .hidden-text {
        opacity: 1;
    }
}

#view-button1,
#close-button1,
#view-button2,
#close-button2,
#view-button3,
#close-button3 {
    background-color: var(--blue);
    max-width: 10rem;
    margin-top: 1rem;
    padding: 0.75rem;
    border-radius: var(--radius);
    border-style: none;
    font-family: "Quicksand", sans-serif;
    color: var(--white);
    transition: background-position 0.3s,
    transform 0.3s;
}

#view-button1:hover,
#view-button1:focus,
#close-button1:hover,
#close-button1:focus,
#view-button2:hover,
#view-button2:focus,
#close-button2:hover,
#close-button2:focus,
#view-button3:hover,
#view-button3:focus,
#close-button3:hover,
#close-button3:focus {
    background-size: 200% 100%;
    background-image: linear-gradient(to right, var(--blue) 50%, var(--light-azur) 50%);
    background-position: 100% 0;
}

/* A-PROPOS-FR-CONTENU */

.about-container {
    margin-top: 2.5rem;
    padding: 0.5rem 1rem;
}

.about-content {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    padding: 1rem;
    background-color: var(--light-blue);
    border-radius: var(--radius-card);
}

.about-content img {
    border-radius: var(--radius);
}

.about-text {
    background-color: var(--white);
    margin-top: 1rem;
    padding: 1rem;
    border-radius: var(--radius-card);
}

/* SUGGERER-FR-CONTENU */

.form-container {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    margin-top: 2rem;
}

.form-item {
    margin: auto;
    padding: 1rem;
    background-color: var(--light-blue);
    border-radius: var(--radius-card);
}

.form-item h2 {
    text-transform: uppercase;
}

.form-item h2,
.form-item h3 {
    text-align: center;
}

label {
    display: block;
    padding: 0;
    margin-bottom: 0;
}

.required::after {
    content: "*";
    color: red;
    margin-left: 0.1rem;
}

